<%# `visual_style` options are: %>
<%# sky-link (default, normal blue link) %>
<%# description-section-link (smaller and has a border, for use in description section) %>
<% visual_style = local_assigns[:visual_style] || "sky-link" %>
<% link_text = local_assigns[:link_text] || post.title_for_view %>
<%=
  react_component(
    "PostHoverPreviewWrapper",
    {
      prerender: false,
      props: props_for_post_hover_preview(post, link_text, visual_style),
      html_options: {
        class: link_classes_for_visual_style(visual_style)
      }
    }
  )
%>
